Subject: Lapidary diamond band saw

From: [email-masked] (Steve Lindsay)
Date: Wed, 22 Dec 93 04:11:51 GMT

A few weeks ago there was a thread about diamond band saws.  I 
missed most of the thread.  Is a diamond band saw just as good as 
a slab saw plus you can cut circles?  Is it slower than a slab saw?  
I have an old Lapidary Journal (Nov 88) with an ad from Gryphon 
Corporation with one in it.  Does anyone know anything about this 
brand and what other manufactures are there?

Thanks for any help

Steve